// DO NOT EDIT
// Generated by JFlex 1.9.1 http://jflex.de/
// source: jflex/CheckFirstCommaL.jflex

/*******************************************************************************
 * Copyright (c) 2022-2029 Institute of Legal Information and Judicial Systems (IGSG-CNR)
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and 
 * limitations under the License.
 *  
 * Authors: Lorenzo Bacci (IGSG-CNR)
 ******************************************************************************/
package it.cnr.igsg.marker;


@SuppressWarnings("fallthrough")
public class CheckFirstCommaL extends JFlexAnnotationService {

  /** This character denotes the end of file. */
  public static final int YYEOF = -1;

  /** Initial size of the lookahead buffer. */
  private static final int ZZ_BUFFERSIZE = 16384;

  // Lexical states.
  public static final int YYINITIAL = 0;

  /**
   * ZZ_LEXSTATE[l] is the state in the DFA for the lexical state l
   * ZZ_LEXSTATE[l+1] is the state in the DFA for the lexical state l
   *                  at the beginning of a line
   * l is of the form l = 2*k, k a non negative integer
   */
  private static final int ZZ_LEXSTATE[] = {
     0, 0
  };

  /**
   * Top-level table for translating characters to character classes
   */
  private static final int [] ZZ_CMAP_TOP = zzUnpackcmap_top();

  private static final String ZZ_CMAP_TOP_PACKED_0 =
    "\1\0\1\u0100\36\u0200\1\u0300\1\u0400\u10de\u0200";

  private static int [] zzUnpackcmap_top() {
    int [] result = new int[4352];
    int offset = 0;
    offset = zzUnpackcmap_top(ZZ_CMAP_TOP_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackcmap_top(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }


  /**
   * Second-level tables for translating characters to character classes
   */
  private static final int [] ZZ_CMAP_BLOCKS = zzUnpackcmap_blocks();

  private static final String ZZ_CMAP_BLOCKS_PACKED_0 =
    "\11\0\1\1\2\0\1\1\23\0\1\1\5\0\1\2"+
    "\1\0\1\3\1\4\3\0\1\5\1\6\1\0\1\7"+
    "\11\10\1\11\1\12\1\13\1\0\1\14\2\0\1\15"+
    "\1\16\1\17\1\20\1\21\1\22\1\23\1\24\1\25"+
    "\1\26\1\27\1\30\1\31\1\32\1\33\1\34\1\35"+
    "\1\36\1\37\1\40\1\41\1\42\1\43\1\44\1\45"+
    "\1\46\4\0\1\5\1\0\1\47\1\50\1\51\1\52"+
    "\1\53\1\54\1\55\1\56\1\57\1\60\1\61\1\62"+
    "\1\63\1\64\1\65\1\66\1\67\1\70\1\71\1\72"+
    "\1\73\1\74\1\75\1\76\1\77\1\100\265\0\2\25"+
    "\115\0\1\37\u0182\0\1\1\20\0\2\5\u0115\0\1\27"+
    "\325\0";

  private static int [] zzUnpackcmap_blocks() {
    int [] result = new int[1280];
    int offset = 0;
    offset = zzUnpackcmap_blocks(ZZ_CMAP_BLOCKS_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackcmap_blocks(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }

  /**
   * Translates DFA states to action switch labels.
   */
  private static final int [] ZZ_ACTION = zzUnpackAction();

  private static final String ZZ_ACTION_PACKED_0 =
    "\1\0\2\1\177\0\1\2\1\0\1\2\52\0\1\2"+
    "\50\0\1\2\13\0\1\3\34\0\1\2\1\0\1\2"+
    "\12\0\1\2\41\0\1\2\61\0\1\2\52\0\2\2"+
    "\5\0\1\2\166\0";

  private static int [] zzUnpackAction() {
    int [] result = new int[523];
    int offset = 0;
    offset = zzUnpackAction(ZZ_ACTION_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackAction(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }


  /**
   * Translates a state to a row index in the transition table
   */
  private static final int [] ZZ_ROWMAP = zzUnpackRowMap();

  private static final String ZZ_ROWMAP_PACKED_0 =
    "\0\0\0\101\0\202\0\303\0\u0104\0\u0145\0\u0186\0\u01c7"+
    "\0\u0208\0\u0249\0\u028a\0\u02cb\0\u030c\0\u034d\0\u038e\0\u03cf"+
    "\0\u0410\0\u0451\0\u0492\0\u04d3\0\u0514\0\u0555\0\u0596\0\u05d7"+
    "\0\u0618\0\u0659\0\u069a\0\u06db\0\u071c\0\u075d\0\u079e\0\u07df"+
    "\0\u0820\0\u0861\0\u08a2\0\u08e3\0\u0924\0\u0965\0\u09a6\0\u09e7"+
    "\0\u0a28\0\u0a69\0\u0aaa\0\u0aeb\0\u0b2c\0\u0b6d\0\u0bae\0\u0bef"+
    "\0\u0c30\0\u0c71\0\u0cb2\0\u0cf3\0\u0d34\0\u0d75\0\u0db6\0\u0df7"+
    "\0\u0e38\0\u0e79\0\u0eba\0\u0efb\0\u0f3c\0\u0f7d\0\u0fbe\0\u0fff"+
    "\0\u1040\0\u1081\0\u10c2\0\u1103\0\u1144\0\u1185\0\u11c6\0\u1207"+
    "\0\u1248\0\u1289\0\u12ca\0\u130b\0\u134c\0\u138d\0\u13ce\0\u140f"+
    "\0\u1450\0\u1491\0\u14d2\0\u1513\0\u1554\0\u1595\0\u15d6\0\u1617"+
    "\0\u1658\0\u1699\0\u16da\0\u171b\0\u175c\0\u179d\0\u17de\0\u181f"+
    "\0\u1860\0\u18a1\0\u18e2\0\u1923\0\u1964\0\u19a5\0\u19e6\0\u1a27"+
    "\0\u1a68\0\u1aa9\0\u1aea\0\u1b2b\0\u1b6c\0\u1bad\0\u1bee\0\u1c2f"+
    "\0\u1c70\0\u1cb1\0\u1cf2\0\u1d33\0\u1d74\0\u1db5\0\u1df6\0\u1e37"+
    "\0\u1e78\0\u1eb9\0\u1efa\0\u1f3b\0\u1f7c\0\u1fbd\0\u1ffe\0\u203f"+
    "\0\u2080\0\u20c1\0\101\0\u2102\0\u2143\0\u2184\0\u21c5\0\u2206"+
    "\0\u2247\0\u2288\0\u22c9\0\u230a\0\u234b\0\u238c\0\u23cd\0\u240e"+
    "\0\u244f\0\u2490\0\u24d1\0\u2512\0\u2553\0\u2594\0\u25d5\0\u2616"+
    "\0\u2657\0\u2698\0\u26d9\0\u271a\0\u275b\0\u279c\0\u27dd\0\u281e"+
    "\0\u285f\0\u28a0\0\u28e1\0\u2922\0\u2963\0\u29a4\0\u29e5\0\u2a26"+
    "\0\u2a67\0\u2aa8\0\u2ae9\0\u2b2a\0\u2b6b\0\u2bac\0\u2bed\0\u271a"+
    "\0\u2c2e\0\u2c6f\0\u2cb0\0\u2cf1\0\u2d32\0\u2d73\0\u2db4\0\u2df5"+
    "\0\u2e36\0\u2e77\0\u2eb8\0\u2ef9\0\u2f3a\0\u2f7b\0\u2fbc\0\u2ffd"+
    "\0\u303e\0\u307f\0\u30c0\0\u3101\0\u3142\0\u3183\0\u31c4\0\u3205"+
    "\0\u3246\0\u3287\0\u32c8\0\u3309\0\u334a\0\u338b\0\u33cc\0\u340d"+
    "\0\u344e\0\u348f\0\u34d0\0\u3511\0\u3552\0\u3593\0\u35d4\0\u3615"+
    "\0\u3656\0\u3697\0\u36d8\0\u3719\0\u375a\0\u379b\0\u37dc\0\u381d"+
    "\0\u385e\0\u389f\0\u38e0\0\u3921\0\u271a\0\u3962\0\u39a3\0\u39e4"+
    "\0\u3a25\0\u3a66\0\u3aa7\0\u3ae8\0\u3b29\0\u3b6a\0\u3bab\0\u3bec"+
    "\0\u3c2d\0\u3c6e\0\u3caf\0\u3cf0\0\u3d31\0\u3d72\0\u3db3\0\u3df4"+
    "\0\u3e35\0\u3e76\0\u3eb7\0\u3ef8\0\u3f39\0\u3f7a\0\u3fbb\0\u3ffc"+
    "\0\u403d\0\u407e\0\u40bf\0\u4100\0\u4141\0\u4182\0\u41c3\0\u4204"+
    "\0\u4245\0\u4286\0\u42c7\0\u4308\0\u4349\0\u438a\0\u43cb\0\u440c"+
    "\0\u444d\0\u448e\0\u44cf\0\u4510\0\u4551\0\u4592\0\u45d3\0\u4614"+
    "\0\u4655\0\u4696\0\u46d7\0\u4718\0\u4759\0\u479a\0\u47db\0\u481c"+
    "\0\u485d\0\u489e\0\u48df\0\u4920\0\u4961\0\u49a2\0\u49e3\0\u4a24"+
    "\0\u4a65\0\u4aa6\0\u4ae7\0\u4b28\0\u4b69\0\u4baa\0\u4beb\0\u4c2c"+
    "\0\u4c6d\0\u4cae\0\u4cef\0\u4d30\0\u4d71\0\u4db2\0\u4df3\0\u4e34"+
    "\0\u4e75\0\u4eb6\0\u4ef7\0\u4f38\0\u4f79\0\u4fba\0\u4ffb\0\u503c"+
    "\0\u507d\0\u50be\0\u50ff\0\u5140\0\u5181\0\u51c2\0\u5203\0\u5244"+
    "\0\u5285\0\u52c6\0\u5307\0\u5348\0\u5389\0\u53ca\0\u540b\0\u544c"+
    "\0\u548d\0\u54ce\0\u550f\0\u5550\0\u5591\0\u55d2\0\u5613\0\u5654"+
    "\0\u5695\0\u56d6\0\u5717\0\u5758\0\u5799\0\u57da\0\u581b\0\u585c"+
    "\0\u589d\0\u58de\0\u591f\0\u5960\0\u59a1\0\u59e2\0\u5a23\0\u5a64"+
    "\0\u5aa5\0\u5ae6\0\u5b27\0\u5b68\0\u5ba9\0\u5bea\0\u5c2b\0\u5c6c"+
    "\0\u5cad\0\u5cee\0\u5d2f\0\u5d70\0\u5db1\0\u5df2\0\u5e33\0\u5e74"+
    "\0\u5eb5\0\u5ef6\0\u5f37\0\u5f78\0\u5fb9\0\u5ffa\0\u603b\0\u607c"+
    "\0\u60bd\0\u60fe\0\u613f\0\u6180\0\u61c1\0\u6202\0\u6243\0\u6284"+
    "\0\u62c5\0\u6306\0\u6347\0\u6388\0\u63c9\0\u640a\0\u644b\0\u648c"+
    "\0\u64cd\0\u650e\0\u654f\0\u6590\0\u65d1\0\u6612\0\u6653\0\u6694"+
    "\0\u66d5\0\u6716\0\u6757\0\u6798\0\u67d9\0\u681a\0\u685b\0\u689c"+
    "\0\u68dd\0\u691e\0\u695f\0\u69a0\0\u69e1\0\u6a22\0\u6a63\0\u6aa4"+
    "\0\u6ae5\0\u6b26\0\u6b67\0\u6ba8\0\u6be9\0\u6c2a\0\u6c6b\0\u6cac"+
    "\0\u6ced\0\u6d2e\0\u6d6f\0\u407e\0\u6db0\0\u6df1\0\u6e32\0\u6e73"+
    "\0\u6eb4\0\u6ef5\0\u6f36\0\u6f77\0\u6fb8\0\u6ff9\0\u703a\0\u707b"+
    "\0\u70bc\0\u70fd\0\u713e\0\u717f\0\u71c0\0\u7201\0\u7242\0\u7283"+
    "\0\u72c4\0\u7305\0\u7346\0\u7387\0\u73c8\0\u7409\0\u744a\0\u748b"+
    "\0\u74cc\0\u750d\0\u754e\0\u758f\0\u75d0\0\u7611\0\u7652\0\u7693"+
    "\0\u76d4\0\u7715\0\u7756\0\u7797\0\u77d8\0\u7819\0\u785a\0\u789b"+
    "\0\u78dc\0\u791d\0\u795e\0\u799f\0\u79e0\0\u7a21\0\u7a62\0\u7aa3"+
    "\0\u7ae4\0\u7b25\0\u7b66\0\u7ba7\0\u7be8\0\u7c29\0\u7c6a\0\u7cab"+
    "\0\u7cec\0\u7d2d\0\u7d6e\0\u7daf\0\u7df0\0\u7e31\0\u7e72\0\u7eb3"+
    "\0\u7ef4\0\u7f35\0\u7f76\0\u7fb7\0\u7ff8\0\u8039\0\u807a\0\u80bb"+
    "\0\u80fc\0\u813d\0\u817e\0\u81bf\0\u8200\0\u8241\0\u8282\0\u82c3"+
    "\0\u8304\0\u8345\0\u8386";

  private static int [] zzUnpackRowMap() {
    int [] result = new int[523];
    int offset = 0;
    offset = zzUnpackRowMap(ZZ_ROWMAP_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackRowMap(String packed, int offset, int [] result) {
    int i = 0;  /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length() - 1;
    while (i < l) {
      int high = packed.charAt(i++) << 16;
      result[j++] = high | packed.charAt(i++);
    }
    return j;
  }

  /**
   * The transition table of the DFA
   */
  private static final int [] ZZ_TRANS = zzUnpacktrans();

  private static final String ZZ_TRANS_PACKED_0 =
    "\13\2\1\3\65\2\125\0\1\4\4\0\1\5\24\0"+
    "\1\4\4\0\1\5\26\0\1\6\125\0\1\7\31\0"+
    "\1\7\44\0\1\10\3\0\1\11\25\0\1\10\3\0"+
    "\1\11\35\0\1\12\31\0\1\12\20\0\1\13\1\14"+
    "\11\0\1\15\21\0\1\16\31\0\1\16\25\0\1\17"+
    "\31\0\1\17\42\0\1\20\67\0\14\13\1\15\64\13"+
    "\32\0\1\21\31\0\1\21\17\0\1\22\4\0\1\23"+
    "\4\0\1\24\1\25\1\26\1\27\1\30\1\31\1\32"+
    "\1\33\1\34\1\35\1\36\1\37\1\40\1\41\1\42"+
    "\1\43\1\44\1\45\1\46\1\47\1\50\1\51\1\52"+
    "\1\53\1\54\1\55\1\56\1\57\1\60\1\61\1\62"+
    "\1\63\1\64\1\65\1\66\1\67\1\70\1\71\1\72"+
    "\1\73\1\74\1\75\1\76\1\77\1\100\1\101\1\102"+
    "\1\103\1\104\1\105\1\106\1\107\21\0\1\110\31\0"+
    "\1\110\43\0\1\111\31\0\1\111\67\0\1\112\2\0"+
    "\1\113\26\0\1\112\2\0\1\113\22\0\1\114\31\0"+
    "\1\114\45\0\1\115\1\116\1\117\1\120\1\121\1\122"+
    "\1\123\1\124\1\125\1\126\1\127\1\130\1\131\1\132"+
    "\1\133\1\134\1\135\1\136\1\137\1\140\1\141\1\142"+
    "\1\143\1\144\1\145\1\146\1\147\1\150\1\151\1\152"+
    "\1\153\1\154\1\155\1\156\1\157\1\160\1\161\1\162"+
    "\1\163\1\164\1\165\1\166\1\167\1\170\1\171\1\172"+
    "\1\173\1\174\1\175\1\176\1\177\1\200\1\0\1\201"+
    "\1\202\1\0\1\203\1\204\1\205\2\206\5\0\1\207"+
    "\1\0\1\210\11\0\1\211\1\212\1\0\1\213\1\0"+
    "\1\214\1\215\1\216\1\217\5\0\1\207\1\0\1\210"+
    "\11\0\1\211\1\212\1\0\1\213\1\0\1\214\1\215"+
    "\1\216\1\217\21\0\1\220\31\221\1\220\31\221\15\0"+
    "\1\221\1\222\31\221\1\222\30\221\17\0\1\223\31\0"+
    "\1\223\47\0\1\224\31\0\1\224\47\0\1\225\31\0"+
    "\1\225\47\0\1\226\31\0\1\226\47\0\1\227\31\0"+
    "\1\227\47\0\1\230\31\0\1\230\47\0\1\231\31\0"+
    "\1\231\47\0\1\232\31\0\1\232\47\0\1\233\31\0"+
    "\1\233\25\0\1\234\21\0\1\235\31\0\1\235\47\0"+
    "\1\236\31\0\1\236\47\0\1\237\31\0\1\237\47\0"+
    "\1\240\31\0\1\240\47\0\1\241\31\0\1\241\47\0"+
    "\1\242\31\0\1\242\47\0\1\243\31\0\1\243\47\0"+
    "\1\244\31\0\1\244\47\0\1\245\31\0\1\245\47\0"+
    "\1\246\31\0\1\246\47\0\1\247\31\0\1\247\47\0"+
    "\1\250\31\0\1\250\47\0\1\251\31\0\1\251\47\0"+
    "\1\252\31\0\1\252\47\0\1\253\31\0\1\253\1\0"+
    "\1\254\1\255\1\0\1\203\1\254\1\203\6\0\1\220"+
    "\31\221\1\220\31\221\1\0\1\254\1\255\1\0\1\203"+
    "\1\254\1\203\6\0\1\221\1\222\31\221\1\222\30\221"+
    "\1\0\1\254\1\255\1\0\1\203\1\254\1\203\10\0"+
    "\1\223\31\0\1\223\30\0\1\254\1\255\1\0\1\203"+
    "\1\254\1\203\11\0\1\224\31\0\1\224\27\0\1\254"+
    "\1\255\1\0\1\203\1\254\1\203\12\0\1\225\31\0"+
    "\1\225\26\0\1\254\1\255\1\0\1\203\1\254\1\203"+
    "\13\0\1\226\31\0\1\226\25\0\1\254\1\255\1\0"+
    "\1\203\1\254\1\203\14\0\1\227\31\0\1\227\24\0"+
    "\1\254\1\255\1\0\1\203\1\254\1\203\15\0\1\230"+
    "\31\0\1\230\23\0\1\254\1\255\1\0\1\203\1\254"+
    "\1\203\16\0\1\231\31\0\1\256\14\0\1\257\1\0"+
    "\1\257\3\0\1\254\1\255\1\0\1\203\1\254\1\203"+
    "\17\0\1\232\31\0\1\232\21\0\1\254\1\255\1\0"+
    "\1\203\1\254\1\203\20\0\1\233\31\0\1\233\20\0"+
    "\1\254\1\255\1\0\1\203\1\254\1\260\21\0\1\235"+
    "\31\0\1\235\17\0\1\254\1\255\1\0\1\203\1\254"+
    "\1\203\22\0\1\236\31\0\1\236\16\0\1\254\1\255"+
    "\1\0\1\203\1\254\1\203\23\0\1\237\31\0\1\237"+
    "\15\0\1\254\1\255\1\0\1\203\1\254\1\203\24\0"+
    "\1\240\31\0\1\240\14\0\1\254\1\255\1\0\1\203"+
    "\1\254\1\203\25\0\1\241\31\0\1\241\13\0\1\254"+
    "\1\255\1\0\1\203\1\254\1\203\26\0\1\242\31\0"+
    "\1\242\12\0\1\254\1\255\1\0\1\203\1\254\1\203"+
    "\27\0\1\243\31\0\1\243\11\0\1\254\1\255\1\0"+
    "\1\203\1\254\1\203\30\0\1\244\31\0\1\244\10\0"+
    "\1\254\1\255\1\0\1\203\1\254\1\203\31\0\1\245"+
    "\31\0\1\245\7\0\1\254\1\255\1\0\1\203\1\254"+
    "\1\203\32\0\1\246\31\0\1\246\6\0\1\254\1\255"+
    "\1\0\1\203\1\254\1\203\33\0\1\247\14\0\1\257"+
    "\14\0\1\261\1\0\1\257\3\0\1\254\1\255\1\0"+
    "\1\203\1\254\1\203\34\0\1\250\31\0\1\250\4\0"+
    "\1\254\1\255\1\0\1\203\1\254\1\203\35\0\1\251"+
    "\12\0\1\257\14\0\1\257\1\0\1\262\3\0\1\254"+
    "\1\255\1\0\1\203\1\254\1\203\36\0\1\252\31\0"+
    "\1\252\2\0\1\254\1\255\1\0\1\203\1\254\1\203"+
    "\37\0\1\253\31\0\1\253\14\110\1\203\64\110\30\0"+
    "\1\16\31\0\1\16\45\0\1\263\31\0\1\263\44\0"+
    "\1\264\31\0\1\264\60\0\1\265\31\0\1\265\24\0"+
    "\1\266\31\267\1\266\31\267\15\0\1\267\1\270\31\267"+
    "\1\270\30\267\17\0\1\271\31\0\1\271\47\0\1\272"+
    "\31\0\1\272\47\0\1\273\31\0\1\273\47\0\1\274"+
    "\31\0\1\274\47\0\1\275\31\0\1\275\47\0\1\276"+
    "\31\0\1\276\47\0\1\277\31\0\1\277\47\0\1\300"+
    "\31\0\1\300\47\0\1\301\31\0\1\301\47\0\1\302"+
    "\31\0\1\302\47\0\1\303\31\0\1\303\47\0\1\304"+
    "\31\0\1\304\47\0\1\305\31\0\1\305\47\0\1\306"+
    "\31\0\1\306\47\0\1\307\31\0\1\307\47\0\1\310"+
    "\31\0\1\310\47\0\1\311\31\0\1\311\47\0\1\312"+
    "\31\0\1\312\47\0\1\313\31\0\1\313\47\0\1\314"+
    "\31\0\1\314\47\0\1\315\31\0\1\315\47\0\1\316"+
    "\31\0\1\316\47\0\1\317\31\0\1\317\47\0\1\320"+
    "\31\0\1\320\1\0\1\321\1\322\1\0\1\203\1\321"+
    "\7\0\1\266\31\267\1\266\31\267\1\0\1\321\1\322"+
    "\1\0\1\203\1\321\7\0\1\267\1\270\31\267\1\270"+
    "\30\267\1\0\1\321\1\322\1\0\1\203\1\321\11\0"+
    "\1\271\31\0\1\271\30\0\1\321\1\322\1\0\1\203"+
    "\1\321\12\0\1\272\31\0\1\272\27\0\1\321\1\322"+
    "\1\0\1\203\1\321\13\0\1\273\31\0\1\273\26\0"+
    "\1\321\1\322\1\0\1\203\1\321\14\0\1\274\31\0"+
    "\1\274\25\0\1\321\1\322\1\0\1\203\1\321\15\0"+
    "\1\275\31\0\1\275\24\0\1\321\1\322\1\0\1\203"+
    "\1\321\16\0\1\276\31\0\1\276\23\0\1\321\1\322"+
    "\1\0\1\203\1\321\17\0\1\277\31\0\1\323\14\0"+
    "\1\324\1\0\1\324\3\0\1\321\1\322\1\0\1\203"+
    "\1\321\20\0\1\300\31\0\1\300\21\0\1\321\1\322"+
    "\1\0\1\203\1\321\21\0\1\301\31\0\1\301\20\0"+
    "\1\321\1\322\1\0\1\203\1\321\22\0\1\302\31\0"+
    "\1\302\17\0\1\321\1\322\1\0\1\203\1\321\23\0"+
    "\1\303\31\0\1\303\16\0\1\321\1\322\1\0\1\203"+
    "\1\321\24\0\1\304\31\0\1\304\15\0\1\321\1\322"+
    "\1\0\1\203\1\321\25\0\1\305\31\0\1\305\14\0"+
    "\1\321\1\322\1\0\1\203\1\321\26\0\1\306\31\0"+
    "\1\306\13\0\1\321\1\322\1\0\1\203\1\321\27\0"+
    "\1\307\31\0\1\307\12\0\1\321\1\322\1\0\1\203"+
    "\1\321\30\0\1\310\31\0\1\310\11\0\1\321\1\322"+
    "\1\0\1\203\1\321\31\0\1\311\31\0\1\311\10\0"+
    "\1\321\1\322\1\0\1\203\1\321\32\0\1\312\31\0"+
    "\1\312\7\0\1\321\1\322\1\0\1\203\1\321\33\0"+
    "\1\313\31\0\1\313\6\0\1\321\1\322\1\0\1\203"+
    "\1\321\34\0\1\314\14\0\1\324\14\0\1\325\1\0"+
    "\1\324\3\0\1\321\1\322\1\0\1\203\1\321\35\0"+
    "\1\315\31\0\1\315\4\0\1\321\1\322\1\0\1\203"+
    "\1\321\36\0\1\316\12\0\1\324\14\0\1\324\1\0"+
    "\1\326\3\0\1\321\1\322\1\0\1\203\1\321\37\0"+
    "\1\317\31\0\1\317\2\0\1\321\1\322\1\0\1\203"+
    "\1\321\40\0\1\320\31\0\1\320\1\0\1\201\1\202"+
    "\2\0\1\204\10\0\1\207\1\0\1\210\11\0\1\211"+
    "\1\212\1\0\1\213\1\0\1\214\1\215\1\216\1\217"+
    "\5\0\1\207\1\0\1\210\11\0\1\211\1\212\1\0"+
    "\1\213\1\0\1\214\1\215\1\216\1\217\36\0\1\327"+
    "\31\0\1\327\15\0\1\204\1\330\13\0\1\207\1\0"+
    "\1\210\11\0\1\211\1\212\1\0\1\213\1\0\1\214"+
    "\1\215\1\216\1\217\5\0\1\207\1\0\1\210\11\0"+
    "\1\211\1\212\1\0\1\213\1\0\1\214\1\215\1\216"+
    "\1\217\14\0\1\331\71\0\1\201\1\202\1\0\1\203"+
    "\1\204\1\205\2\332\5\0\1\207\1\0\1\210\11\0"+
    "\1\211\1\212\1\0\1\213\1\0\1\214\1\215\1\216"+
    "\1\217\5\0\1\207\1\0\1\210\11\0\1\211\1\212"+
    "\1\0\1\213\1\0\1\214\1\215\1\216\1\217\31\0"+
    "\1\333\31\0\1\333\42\0\1\334\17\0\1\335\11\0"+
    "\1\334\17\0\1\335\40\0\1\336\31\0\1\336\32\0"+
    "\1\337\31\0\1\337\70\0\1\340\31\0\1\340\26\0"+
    "\1\341\31\0\1\341\46\0\1\342\31\0\1\342\57\0"+
    "\1\343\31\0\1\343\41\0\1\344\31\0\1\344\22\0"+
    "\1\254\1\255\1\0\1\203\1\254\1\203\6\0\1\221"+
    "\31\0\1\221\32\0\1\254\1\255\1\0\1\203\1\254"+
    "\1\203\73\0\1\254\1\255\1\0\1\203\1\254\1\203"+
    "\7\0\1\221\31\0\1\221\31\0\1\254\1\255\1\0"+
    "\1\203\1\254\1\203\10\0\1\221\31\0\1\221\30\0"+
    "\1\254\1\255\1\0\1\203\1\254\1\203\11\0\1\221"+
    "\31\0\1\221\27\0\1\254\1\255\1\0\1\203\1\254"+
    "\1\203\12\0\1\221\31\0\1\221\26\0\1\254\1\255"+
    "\1\0\1\203\1\254\1\203\13\0\1\221\31\0\1\221"+
    "\25\0\1\254\1\255\1\0\1\203\1\254\1\203\14\0"+
    "\1\221\31\0\1\221\24\0\1\254\1\255\1\0\1\203"+
    "\1\254\1\203\15\0\1\221\31\0\1\221\23\0\1\254"+
    "\1\255\1\0\1\203\1\254\1\203\16\0\1\221\31\0"+
    "\1\221\22\0\1\254\1\255\1\0\1\203\1\254\1\203"+
    "\17\0\1\221\31\0\1\221\21\0\1\254\1\255\1\0"+
    "\1\203\1\254\1\203\20\0\1\221\31\0\1\221\20\0"+
    "\1\345\1\346\77\0\1\254\1\255\1\0\1\203\1\254"+
    "\1\203\21\0\1\221\31\0\1\221\17\0\1\254\1\255"+
    "\1\0\1\203\1\254\1\203\22\0\1\221\31\0\1\221"+
    "\16\0\1\254\1\255\1\0\1\203\1\254\1\203\23\0"+
    "\1\221\31\0\1\221\15\0\1\254\1\255\1\0\1\203"+
    "\1\254\1\203\24\0\1\221\31\0\1\221\14\0\1\254"+
    "\1\255\1\0\1\203\1\254\1\203\25\0\1\221\31\0"+
    "\1\221\13\0\1\254\1\255\1\0\1\203\1\254\1\203"+
    "\26\0\1\221\31\0\1\221\12\0\1\254\1\255\1\0"+
    "\1\203\1\254\1\203\27\0\1\221\31\0\1\221\11\0"+
    "\1\254\1\255\1\0\1\203\1\254\1\203\30\0\1\221"+
    "\31\0\1\221\10\0\1\254\1\255\1\0\1\203\1\254"+
    "\1\203\31\0\1\221\31\0\1\221\7\0\1\254\1\255"+
    "\1\0\1\203\1\254\1\203\32\0\1\221\31\0\1\221"+
    "\6\0\1\254\1\255\1\0\1\203\1\254\1\203\33\0"+
    "\1\221\31\0\1\221\5\0\1\254\1\255\1\0\1\203"+
    "\1\254\1\203\34\0\1\221\31\0\1\221\4\0\1\254"+
    "\1\255\1\0\1\203\1\254\1\203\35\0\1\221\31\0"+
    "\1\221\3\0\1\254\1\255\1\0\1\203\1\254\1\203"+
    "\36\0\1\221\31\0\1\221\2\0\1\254\1\255\1\0"+
    "\1\203\1\254\1\203\37\0\1\221\31\0\1\221\1\0"+
    "\1\254\1\255\13\0\1\347\1\0\1\350\11\0\1\351"+
    "\1\352\1\0\1\353\1\0\1\354\1\355\1\356\1\357"+
    "\5\0\1\347\1\0\1\350\11\0\1\351\1\352\1\0"+
    "\1\353\1\0\1\354\1\355\1\356\1\357\36\0\1\360"+
    "\31\0\1\360\15\0\1\254\1\255\1\0\1\203\1\254"+
    "\1\203\16\0\1\221\31\0\1\361\14\0\1\257\1\0"+
    "\1\257\6\0\1\203\1\0\1\203\50\0\1\257\14\0"+
    "\1\257\1\0\1\257\3\0\1\254\1\255\1\0\1\203"+
    "\1\254\1\203\33\0\1\221\14\0\1\257\14\0\1\361"+
    "\1\0\1\257\3\0\1\254\1\255\1\0\1\203\1\254"+
    "\1\203\35\0\1\221\12\0\1\257\14\0\1\257\1\0"+
    "\1\361\27\0\1\362\31\0\1\362\57\0\1\363\31\0"+
    "\1\363\44\0\1\364\31\0\1\364\13\0\1\321\1\322"+
    "\1\0\1\203\1\321\7\0\1\267\31\0\1\267\32\0"+
    "\1\321\1\322\1\0\1\203\1\321\74\0\1\321\1\322"+
    "\1\0\1\203\1\321\10\0\1\267\31\0\1\267\31\0"+
    "\1\321\1\322\1\0\1\203\1\321\11\0\1\267\31\0"+
    "\1\267\30\0\1\321\1\322\1\0\1\203\1\321\12\0"+
    "\1\267\31\0\1\267\27\0\1\321\1\322\1\0\1\203"+
    "\1\321\13\0\1\267\31\0\1\267\26\0\1\321\1\322"+
    "\1\0\1\203\1\321\14\0\1\267\31\0\1\267\25\0"+
    "\1\321\1\322\1\0\1\203\1\321\15\0\1\267\31\0"+
    "\1\267\24\0\1\321\1\322\1\0\1\203\1\321\16\0"+
    "\1\267\31\0\1\267\23\0\1\321\1\322\1\0\1\203"+
    "\1\321\17\0\1\267\31\0\1\267\22\0\1\321\1\322"+
    "\1\0\1\203\1\321\20\0\1\267\31\0\1\267\21\0"+
    "\1\321\1\322\1\0\1\203\1\321\21\0\1\267\31\0"+
    "\1\267\20\0\1\321\1\322\1\0\1\203\1\321\22\0"+
    "\1\267\31\0\1\267\17\0\1\321\1\322\1\0\1\203"+
    "\1\321\23\0\1\267\31\0\1\267\16\0\1\321\1\322"+
    "\1\0\1\203\1\321\24\0\1\267\31\0\1\267\15\0"+
    "\1\321\1\322\1\0\1\203\1\321\25\0\1\267\31\0"+
    "\1\267\14\0\1\321\1\322\1\0\1\203\1\321\26\0"+
    "\1\267\31\0\1\267\13\0\1\321\1\322\1\0\1\203"+
    "\1\321\27\0\1\267\31\0\1\267\12\0\1\321\1\322"+
    "\1\0\1\203\1\321\30\0\1\267\31\0\1\267\11\0"+
    "\1\321\1\322\1\0\1\203\1\321\31\0\1\267\31\0"+
    "\1\267\10\0\1\321\1\322\1\0\1\203\1\321\32\0"+
    "\1\267\31\0\1\267\7\0\1\321\1\322\1\0\1\203"+
    "\1\321\33\0\1\267\31\0\1\267\6\0\1\321\1\322"+
    "\1\0\1\203\1\321\34\0\1\267\31\0\1\267\5\0"+
    "\1\321\1\322\1\0\1\203\1\321\35\0\1\267\31\0"+
    "\1\267\4\0\1\321\1\322\1\0\1\203\1\321\36\0"+
    "\1\267\31\0\1\267\3\0\1\321\1\322\1\0\1\203"+
    "\1\321\37\0\1\267\31\0\1\267\2\0\1\321\1\322"+
    "\1\0\1\203\1\321\40\0\1\267\31\0\1\267\1\0"+
    "\1\321\1\322\13\0\1\365\1\0\1\366\11\0\1\367"+
    "\1\370\1\0\1\371\1\0\1\372\1\373\1\374\1\375"+
    "\5\0\1\365\1\0\1\366\11\0\1\367\1\370\1\0"+
    "\1\371\1\0\1\372\1\373\1\374\1\375\36\0\1\376"+
    "\31\0\1\376\15\0\1\321\1\322\1\0\1\203\1\321"+
    "\17\0\1\267\31\0\1\377\14\0\1\324\1\0\1\324"+
    "\6\0\1\203\52\0\1\324\14\0\1\324\1\0\1\324"+
    "\3\0\1\321\1\322\1\0\1\203\1\321\34\0\1\267"+
    "\14\0\1\324\14\0\1\377\1\0\1\324\3\0\1\321"+
    "\1\322\1\0\1\203\1\321\36\0\1\267\12\0\1\324"+
    "\14\0\1\324\1\0\1\377\20\0\1\u0100\31\0\1\u0100"+
    "\62\0\1\u0101\31\0\1\u0101\20\0\1\203\1\0\1\203"+
    "\2\u0102\71\0\1\201\1\202\1\0\1\203\1\204\1\203"+
    "\2\u0103\5\0\1\207\1\0\1\210\11\0\1\211\1\212"+
    "\1\0\1\213\1\0\1\214\1\215\1\216\1\217\5\0"+
    "\1\207\1\0\1\210\11\0\1\211\1\212\1\0\1\213"+
    "\1\0\1\214\1\215\1\216\1\217\43\0\1\u0104\31\0"+
    "\1\u0104\26\0\1\u0105\31\0\1\u0105\62\0\1\343\31\0"+
    "\1\343\45\0\1\u0106\7\0\1\u0107\21\0\1\u0106\7\0"+
    "\1\u0107\44\0\1\u0107\31\0\1\u0107\23\0\1\u0108\7\0"+
    "\1\u0109\21\0\1\u0108\7\0\1\u0109\41\0\1\u010a\4\0"+
    "\1\u010b\3\0\1\u010c\2\0\1\u010d\7\0\1\u010e\5\0"+
    "\1\u010a\4\0\1\u010b\3\0\1\u010c\2\0\1\u010d\7\0"+
    "\1\u010e\40\0\1\u010f\31\0\1\u010f\30\0\1\u0110\21\0"+
    "\1\u0111\7\0\1\u0110\21\0\1\u0111\23\0\1\u0112\31\0"+
    "\1\u0112\61\0\1\u0113\31\0\1\u0113\41\0\1\u0114\31\0"+
    "\1\u0114\42\0\1\u0115\17\0\1\u0116\11\0\1\u0115\17\0"+
    "\1\u0116\40\0\1\u0117\31\0\1\u0117\32\0\1\u0118\31\0"+
    "\1\u0118\70\0\1\u0119\31\0\1\u0119\26\0\1\u011a\31\0"+
    "\1\u011a\46\0\1\u011b\31\0\1\u011b\57\0\1\u011c\31\0"+
    "\1\u011c\41\0\1\u011d\31\0\1\u011d\37\0\1\u011e\31\0"+
    "\1\u011e\31\0\1\254\1\255\1\0\1\203\1\254\1\203"+
    "\50\0\1\257\14\0\1\257\1\0\1\257\36\0\1\u011f"+
    "\31\0\1\u011f\35\0\1\u0120\31\0\1\u0120\35\0\1\13"+
    "\113\0\1\u0121\31\0\1\u0121\42\0\1\u0122\17\0\1\u0123"+
    "\11\0\1\u0122\17\0\1\u0123\40\0\1\u0124\31\0\1\u0124"+
    "\32\0\1\u0125\31\0\1\u0125\70\0\1\u0126\31\0\1\u0126"+
    "\26\0\1\u0127\31\0\1\u0127\46\0\1\u0128\31\0\1\u0128"+
    "\57\0\1\u0129\31\0\1\u0129\41\0\1\u012a\31\0\1\u012a"+
    "\37\0\1\u012b\31\0\1\u012b\31\0\1\321\1\322\1\0"+
    "\1\203\1\321\51\0\1\324\14\0\1\324\1\0\1\324"+
    "\41\0\1\u012c\31\0\1\u012c\25\0\1\u012d\31\0\1\u012d"+
    "\34\0\1\203\1\0\1\203\73\0\1\201\1\202\1\0"+
    "\1\203\1\204\1\203\2\u012e\5\0\1\207\1\0\1\210"+
    "\11\0\1\211\1\212\1\0\1\213\1\0\1\214\1\215"+
    "\1\216\1\217\5\0\1\207\1\0\1\210\11\0\1\211"+
    "\1\212\1\0\1\213\1\0\1\214\1\215\1\216\1\217"+
    "\5\0\1\u012f\1\u0130\1\0\1\203\1\0\1\u0131\33\0"+
    "\1\u0111\31\0\1\u0111\31\0\1\u0132\31\0\1\u0132\46\0"+
    "\1\u0133\31\0\1\u0133\46\0\1\u0134\5\0\1\u0135\23\0"+
    "\1\u0134\5\0\1\u0135\51\0\1\u0136\1\0\1\215\27\0"+
    "\1\u0136\1\0\1\215\40\0\1\u0137\31\0\1\u0137\35\0"+
    "\1\334\31\0\1\334\46\0\1\u0138\31\0\1\u0138\46\0"+
    "\1\u0139\31\0\1\u0139\65\0\1\u010e\31\0\1\u010e\26\0"+
    "\1\u010a\4\0\1\u0134\24\0\1\u010a\4\0\1\u0134\22\0"+
    "\1\u013a\1\u013b\1\0\1\203\1\0\1\u0131\11\0\1\u010a"+
    "\21\0\1\u0111\7\0\1\u010a\21\0\1\u0111\25\0\1\u013c"+
    "\31\0\1\u013c\52\0\1\334\31\0\1\334\46\0\1\u013d"+
    "\31\0\1\u013d\37\0\1\u013e\31\0\1\u013e\67\0\1\u013f"+
    "\31\0\1\u013f\26\0\1\u0140\31\0\1\u0140\62\0\1\u011c"+
    "\31\0\1\u011c\45\0\1\u0141\7\0\1\u0142\21\0\1\u0141"+
    "\7\0\1\u0142\44\0\1\u0142\31\0\1\u0142\23\0\1\u0143"+
    "\7\0\1\u0144\21\0\1\u0143\7\0\1\u0144\41\0\1\u0145"+
    "\4\0\1\u0146\3\0\1\u0147\2\0\1\u0148\7\0\1\u0149"+
    "\5\0\1\u0145\4\0\1\u0146\3\0\1\u0147\2\0\1\u0148"+
    "\7\0\1\u0149\40\0\1\u014a\31\0\1\u014a\30\0\1\u014b"+
    "\21\0\1\u014c\7\0\1\u014b\21\0\1\u014c\23\0\1\u014d"+
    "\31\0\1\u014d\66\0\1\u014e\31\0\1\u014e\23\0\1\203"+
    "\117\0\1\u014f\31\0\1\u014f\52\0\1\u0150\31\0\1\u0150"+
    "\26\0\1\u0151\31\0\1\u0151\62\0\1\u0129\31\0\1\u0129"+
    "\45\0\1\u0152\7\0\1\u0153\21\0\1\u0152\7\0\1\u0153"+
    "\44\0\1\u0153\31\0\1\u0153\23\0\1\u0154\7\0\1\u0155"+
    "\21\0\1\u0154\7\0\1\u0155\41\0\1\u0156\4\0\1\u0157"+
    "\3\0\1\u0158\2\0\1\u0159\7\0\1\u015a\5\0\1\u0156"+
    "\4\0\1\u0157\3\0\1\u0158\2\0\1\u0159\7\0\1\u015a"+
    "\40\0\1\u015b\31\0\1\u015b\30\0\1\u015c\21\0\1\u015d"+
    "\7\0\1\u015c\21\0\1\u015d\23\0\1\u015e\31\0\1\u015e"+
    "\66\0\1\u015f\31\0\1\u015f\43\0\1\u0160\31\0\1\u0160"+
    "\51\0\1\u0161\31\0\1\u0161\10\0\1\201\1\202\1\0"+
    "\1\203\1\204\1\203\7\0\1\207\1\0\1\210\11\0"+
    "\1\211\1\212\1\0\1\213\1\0\1\214\1\215\1\216"+
    "\1\217\5\0\1\207\1\0\1\210\11\0\1\211\1\212"+
    "\1\0\1\213\1\0\1\214\1\215\1\216\1\217\5\0"+
    "\1\u012f\1\u0130\37\0\1\u0111\31\0\1\u0111\36\0\1\u0162"+
    "\31\0\1\u0162\24\0\1\u0163\111\0\1\u0164\31\0\1\u0164"+
    "\46\0\1\u0165\31\0\1\u0165\46\0\1\u0166\31\0\1\u0166"+
    "\45\0\1\u010a\31\0\1\u010a\66\0\1\u0167\31\0\1\u0167"+
    "\26\0\1\u010a\14\0\1\u0168\4\0\1\u0111\7\0\1\u010a"+
    "\14\0\1\u0168\4\0\1\u0111\43\0\1\u0169\31\0\1\u0169"+
    "\37\0\1\u0104\31\0\1\u0104\17\0\1\u013a\1\u013b\15\0"+
    "\1\u010a\21\0\1\u0111\7\0\1\u010a\21\0\1\u0111\36\0"+
    "\1\u016a\31\0\1\u016a\33\0\1\u0105\22\0\1\u0111\6\0"+
    "\1\u0105\22\0\1\u0111\25\0\1\u016b\31\0\1\u016b\64\0"+
    "\1\u016c\31\0\1\u016c\10\0\1\u016d\1\u016e\1\0\1\203"+
    "\1\0\1\203\33\0\1\u014c\31\0\1\u014c\31\0\1\u016f"+
    "\31\0\1\u016f\46\0\1\u0170\31\0\1\u0170\46\0\1\u0171"+
    "\5\0\1\u0172\23\0\1\u0171\5\0\1\u0172\51\0\1\u0173"+
    "\1\0\1\355\27\0\1\u0173\1\0\1\355\40\0\1\u0174"+
    "\31\0\1\u0174\35\0\1\u0115\31\0\1\u0115\46\0\1\u0175"+
    "\31\0\1\u0175\46\0\1\u0176\31\0\1\u0176\65\0\1\u0149"+
    "\31\0\1\u0149\26\0\1\u0145\4\0\1\u0171\24\0\1\u0145"+
    "\4\0\1\u0171\22\0\1\u0177\1\u0178\1\0\1\203\1\0"+
    "\1\203\11\0\1\u0145\21\0\1\u014c\7\0\1\u0145\21\0"+
    "\1\u014c\25\0\1\u0179\31\0\1\u0179\52\0\1\u0115\31\0"+
    "\1\u0115\46\0\1\u017a\31\0\1\u017a\55\0\1\u017b\31\0"+
    "\1\u017b\42\0\1\u017c\31\0\1\u017c\17\0\1\u017d\1\u017e"+
    "\1\0\1\203\35\0\1\u015d\31\0\1\u015d\31\0\1\u017f"+
    "\31\0\1\u017f\46\0\1\u0180\31\0\1\u0180\46\0\1\u0181"+
    "\5\0\1\u0182\23\0\1\u0181\5\0\1\u0182\51\0\1\u0183"+
    "\1\0\1\373\27\0\1\u0183\1\0\1\373\40\0\1\u0184"+
    "\31\0\1\u0184\35\0\1\u0122\31\0\1\u0122\46\0\1\u0185"+
    "\31\0\1\u0185\46\0\1\u0186\31\0\1\u0186\65\0\1\u015a"+
    "\31\0\1\u015a\26\0\1\u0156\4\0\1\u0181\24\0\1\u0156"+
    "\4\0\1\u0181\22\0\1\u0187\1\u0188\1\0\1\203\13\0"+
    "\1\u0156\21\0\1\u015d\7\0\1\u0156\21\0\1\u015d\25\0"+
    "\1\u0189\31\0\1\u0189\52\0\1\u0122\31\0\1\u0122\46\0"+
    "\1\u018a\31\0\1\u018a\55\0\1\u018b\31\0\1\u018b\24\0"+
    "\1\201\122\0\1\u018c\31\0\1\u018c\30\0\1\u018d\31\0"+
    "\1\u018d\36\0\1\203\124\0\1\u0165\4\0\1\u018e\24\0"+
    "\1\u0165\4\0\1\u018e\46\0\1\u018e\31\0\1\u018e\41\0"+
    "\1\u0165\4\0\1\u018f\24\0\1\u0165\4\0\1\u018f\30\0"+
    "\1\u0190\31\0\1\u0190\66\0\1\u0191\31\0\1\u0191\6\0"+
    "\1\u0169\1\u0192\15\0\1\u010a\31\0\1\u010a\44\0\1\u0193"+
    "\31\0\1\u0193\62\0\1\u0194\4\0\1\u0195\24\0\1\u0194"+
    "\4\0\1\u0195\43\0\1\u0196\31\0\1\u0196\13\0\1\u016d"+
    "\1\u016e\37\0\1\u014c\31\0\1\u014c\36\0\1\u0197\31\0"+
    "\1\u0197\35\0\1\u0198\31\0\1\u0198\46\0\1\u0199\31\0"+
    "\1\u0199\46\0\1\u019a\31\0\1\u019a\45\0\1\u0145\31\0"+
    "\1\u0145\66\0\1\u019b\31\0\1\u019b\26\0\1\u0145\14\0"+
    "\1\u019c\4\0\1\u014c\7\0\1\u0145\14\0\1\u019c\4\0"+
    "\1\u014c\43\0\1\u019d\31\0\1\u019d\37\0\1\u013f\31\0"+
    "\1\u013f\17\0\1\u0177\1\u0178\15\0\1\u0145\21\0\1\u014c"+
    "\7\0\1\u0145\21\0\1\u014c\36\0\1\u019e\31\0\1\u019e"+
    "\33\0\1\u0140\22\0\1\u014c\6\0\1\u0140\22\0\1\u014c"+
    "\25\0\1\u019f\31\0\1\u019f\37\0\1\254\107\0\1\u01a0"+
    "\31\0\1\u01a0\26\0\1\u017d\1\u017e\37\0\1\u015d\31\0"+
    "\1\u015d\36\0\1\u01a1\31\0\1\u01a1\35\0\1\u01a2\31\0"+
    "\1\u01a2\46\0\1\u01a3\31\0\1\u01a3\46\0\1\u01a4\31\0"+
    "\1\u01a4\45\0\1\u0156\31\0\1\u0156\66\0\1\u01a5\31\0"+
    "\1\u01a5\26\0\1\u0156\14\0\1\u01a6\4\0\1\u015d\7\0"+
    "\1\u0156\14\0\1\u01a6\4\0\1\u015d\43\0\1\u01a7\31\0"+
    "\1\u01a7\37\0\1\u0150\31\0\1\u0150\17\0\1\u0187\1\u0188"+
    "\15\0\1\u0156\21\0\1\u015d\7\0\1\u0156\21\0\1\u015d"+
    "\36\0\1\u01a8\31\0\1\u01a8\33\0\1\u0151\22\0\1\u015d"+
    "\6\0\1\u0151\22\0\1\u015d\25\0\1\u01a9\31\0\1\u01a9"+
    "\37\0\1\321\100\0\1\204\125\0\1\u01aa\31\0\1\u01aa"+
    "\13\0\1\203\1\0\1\u0131\73\0\1\u0169\1\u0192\1\0"+
    "\1\203\1\0\1\u0131\11\0\1\u010a\31\0\1\u010a\64\0"+
    "\1\u018e\31\0\1\u018e\35\0\1\u01ab\31\0\1\u01ab\53\0"+
    "\1\u01ac\31\0\1\u01ac\53\0\1\u01ad\31\0\1\u01ad\46\0"+
    "\1\u0195\31\0\1\u0195\10\0\1\u01ae\1\u01af\1\0\1\203"+
    "\1\0\1\u0131\7\0\1\u01b0\16\0\1\u01b1\1\0\1\u01b2"+
    "\1\u0167\7\0\1\u01b0\16\0\1\u01b1\1\0\1\u01b2\1\u0167"+
    "\20\0\1\345\104\0\1\u01b3\31\0\1\u01b3\62\0\1\u0199"+
    "\4\0\1\u01b4\24\0\1\u0199\4\0\1\u01b4\46\0\1\u01b4"+
    "\31\0\1\u01b4\41\0\1\u0199\4\0\1\u01b5\24\0\1\u0199"+
    "\4\0\1\u01b5\30\0\1\u01b6\31\0\1\u01b6\66\0\1\u01b7"+
    "\31\0\1\u01b7\6\0\1\u019d\1\u01b8\15\0\1\u0145\31\0"+
    "\1\u0145\44\0\1\u01b9\31\0\1\u01b9\62\0\1\u01ba\4\0"+
    "\1\u01bb\24\0\1\u01ba\4\0\1\u01bb\47\0\1\u01bc\31\0"+
    "\1\u01bc\24\0\1\u01bd\31\0\1\u01bd\62\0\1\u01a3\4\0"+
    "\1\u01be\24\0\1\u01a3\4\0\1\u01be\46\0\1\u01be\31\0"+
    "\1\u01be\41\0\1\u01a3\4\0\1\u01bf\24\0\1\u01a3\4\0"+
    "\1\u01bf\30\0\1\u01c0\31\0\1\u01c0\66\0\1\u01c1\31\0"+
    "\1\u01c1\6\0\1\u01a7\1\u01c2\15\0\1\u0156\31\0\1\u0156"+
    "\44\0\1\u01c3\31\0\1\u01c3\62\0\1\u01c4\4\0\1\u01c5"+
    "\24\0\1\u01c4\4\0\1\u01c5\43\0\1\u01c6\31\0\1\u01c6"+
    "\33\0\1\u01c7\31\0\1\u01c7\43\0\1\u01c8\31\0\1\u01c8"+
    "\64\0\1\u01c9\31\0\1\u01c9\13\0\1\u01ae\1\u01af\13\0"+
    "\1\u01b0\16\0\1\u01b1\1\0\1\u01b2\1\u0167\7\0\1\u01b0"+
    "\16\0\1\u01b1\1\0\1\u01b2\1\u0167\40\0\1\u01ca\31\0"+
    "\1\u01ca\41\0\1\u0165\31\0\1\u0165\62\0\1\u01cb\31\0"+
    "\1\u01cb\26\0\1\u01cc\31\0\1\u01cc\64\0\1\u01cd\31\0"+
    "\1\u01cd\10\0\1\u019d\1\u01b8\1\0\1\203\1\0\1\203"+
    "\11\0\1\u0145\31\0\1\u0145\64\0\1\u01b4\31\0\1\u01b4"+
    "\35\0\1\u01ce\31\0\1\u01ce\53\0\1\u01cf\31\0\1\u01cf"+
    "\53\0\1\u01d0\31\0\1\u01d0\46\0\1\u01bb\31\0\1\u01bb"+
    "\10\0\1\u01d1\1\u01d2\1\0\1\203\1\0\1\203\7\0"+
    "\1\u01d3\16\0\1\u01d4\1\0\1\u01d5\1\u019b\7\0\1\u01d3"+
    "\16\0\1\u01d4\1\0\1\u01d5\1\u019b\46\0\1\u01d6\31\0"+
    "\1\u01d6\45\0\1\u01d7\31\0\1\u01d7\13\0\1\203\75\0"+
    "\1\u01a7\1\u01c2\1\0\1\203\13\0\1\u0156\31\0\1\u0156"+
    "\64\0\1\u01be\31\0\1\u01be\35\0\1\u01d8\31\0\1\u01d8"+
    "\53\0\1\u01d9\31\0\1\u01d9\53\0\1\u01da\31\0\1\u01da"+
    "\46\0\1\u01c5\31\0\1\u01c5\10\0\1\u01db\1\u01dc\1\0"+
    "\1\203\11\0\1\u01dd\16\0\1\u01de\1\0\1\u01df\1\u01a5"+
    "\7\0\1\u01dd\16\0\1\u01de\1\0\1\u01df\1\u01a5\20\0"+
    "\1\u012f\120\0\1\333\4\0\1\u010f\24\0\1\333\4\0"+
    "\1\u010f\46\0\1\u01e0\31\0\1\u01e0\21\0\1\u013a\104\0"+
    "\1\u01e1\31\0\1\u01e1\45\0\1\u0136\7\0\1\u01e2\21\0"+
    "\1\u0136\7\0\1\u01e2\52\0\1\u01e3\31\0\1\u01e3\51\0"+
    "\1\u01e4\31\0\1\u01e4\33\0\1\u01e5\31\0\1\u01e5\43\0"+
    "\1\u01e6\31\0\1\u01e6\64\0\1\u01e7\31\0\1\u01e7\13\0"+
    "\1\u01d1\1\u01d2\13\0\1\u01d3\16\0\1\u01d4\1\0\1\u01d5"+
    "\1\u019b\7\0\1\u01d3\16\0\1\u01d4\1\0\1\u01d5\1\u019b"+
    "\40\0\1\u01e8\31\0\1\u01e8\41\0\1\u0199\31\0\1\u0199"+
    "\62\0\1\u01e9\31\0\1\u01e9\26\0\1\u01ea\31\0\1\u01ea"+
    "\46\0\1\u011f\31\0\1\u011f\61\0\1\u01eb\31\0\1\u01eb"+
    "\33\0\1\u01ec\31\0\1\u01ec\43\0\1\u01ed\31\0\1\u01ed"+
    "\64\0\1\u01ee\31\0\1\u01ee\13\0\1\u01db\1\u01dc\13\0"+
    "\1\u01dd\16\0\1\u01de\1\0\1\u01df\1\u01a5\7\0\1\u01dd"+
    "\16\0\1\u01de\1\0\1\u01df\1\u01a5\40\0\1\u01ef\31\0"+
    "\1\u01ef\41\0\1\u01a3\31\0\1\u01a3\62\0\1\u01f0\31\0"+
    "\1\u01f0\26\0\1\u01f1\31\0\1\u01f1\61\0\1\u01f2\31\0"+
    "\1\u01f2\51\0\1\u01f3\31\0\1\u01f3\41\0\1\u01f4\31\0"+
    "\1\u01f4\35\0\1\u01f5\31\0\1\u01f5\37\0\1\u016d\120\0"+
    "\1\u0114\4\0\1\u014a\24\0\1\u0114\4\0\1\u014a\46\0"+
    "\1\u01f6\31\0\1\u01f6\21\0\1\u0177\104\0\1\u01f7\31\0"+
    "\1\u01f7\45\0\1\u0173\7\0\1\u01f8\21\0\1\u0173\7\0"+
    "\1\u01f8\52\0\1\u01f9\31\0\1\u01f9\27\0\1\u017d\120\0"+
    "\1\u0121\4\0\1\u015b\24\0\1\u0121\4\0\1\u015b\46\0"+
    "\1\u01fa\31\0\1\u01fa\21\0\1\u0187\104\0\1\u01fb\31\0"+
    "\1\u01fb\45\0\1\u0183\7\0\1\u01fc\21\0\1\u0183\7\0"+
    "\1\u01fc\52\0\1\u01fd\31\0\1\u01fd\27\0\1\u0169\122\0"+
    "\1\u01fe\31\0\1\u01fe\47\0\1\u01ff\31\0\1\u01ff\41\0"+
    "\1\u018e\31\0\1\u018e\52\0\1\u0200\31\0\1\u0200\51\0"+
    "\1\u0201\31\0\1\u0201\41\0\1\u0202\31\0\1\u0202\35\0"+
    "\1\u0203\31\0\1\u0203\61\0\1\u0204\31\0\1\u0204\51\0"+
    "\1\u0205\31\0\1\u0205\41\0\1\u0206\31\0\1\u0206\35\0"+
    "\1\u0207\31\0\1\u0207\37\0\1\u01ae\127\0\1\u0105\31\0"+
    "\1\u0105\17\0\1\u019d\122\0\1\u0208\31\0\1\u0208\47\0"+
    "\1\u0209\31\0\1\u0209\41\0\1\u01b4\31\0\1\u01b4\30\0"+
    "\1\u01a7\122\0\1\u020a\31\0\1\u020a\47\0\1\u020b\31\0"+
    "\1\u020b\41\0\1\u01be\31\0\1\u01be\30\0\1\u01d1\127\0"+
    "\1\u0140\31\0\1\u0140\17\0\1\u01db\127\0\1\u0151\31\0"+
    "\1\u0151\5\0";

  private static int [] zzUnpacktrans() {
    int [] result = new int[33735];
    int offset = 0;
    offset = zzUnpacktrans(ZZ_TRANS_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpacktrans(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      value--;
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }


  /** Error code for "Unknown internal scanner error". */
  private static final int ZZ_UNKNOWN_ERROR = 0;
  /** Error code for "could not match input". */
  private static final int ZZ_NO_MATCH = 1;
  /** Error code for "pushback value was too large". */
  private static final int ZZ_PUSHBACK_2BIG = 2;

  /**
   * Error messages for {@link #ZZ_UNKNOWN_ERROR}, {@link #ZZ_NO_MATCH}, and
   * {@link #ZZ_PUSHBACK_2BIG} respectively.
   */
  private static final String ZZ_ERROR_MSG[] = {
    "Unknown internal scanner error",
    "Error: could not match input",
    "Error: pushback value was too large"
  };

  /**
   * ZZ_ATTRIBUTE[aState] contains the attributes of state {@code aState}
   */
  private static final int [] ZZ_ATTRIBUTE = zzUnpackAttribute();

  private static final String ZZ_ATTRIBUTE_PACKED_0 =
    "\1\0\1\11\1\1\177\0\1\11\1\0\1\1\52\0"+
    "\1\1\50\0\1\1\13\0\1\1\34\0\1\1\1\0"+
    "\1\1\12\0\1\1\41\0\1\1\61\0\1\1\52\0"+
    "\2\1\5\0\1\1\166\0";

  private static int [] zzUnpackAttribute() {
    int [] result = new int[523];
    int offset = 0;
    offset = zzUnpackAttribute(ZZ_ATTRIBUTE_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackAttribute(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }

  /** Input device. */
  private java.io.Reader zzReader;

  /** Current state of the DFA. */
  private int zzState;

  /** Current lexical state. */
  private int zzLexicalState = YYINITIAL;

  /**
   * This buffer contains the current text to be matched and is the source of the {@link #yytext()}
   * string.
   */
  private char zzBuffer[] = new char[Math.min(ZZ_BUFFERSIZE, zzMaxBufferLen())];

  /** Text position at the last accepting state. */
  private int zzMarkedPos;

  /** Current text position in the buffer. */
  private int zzCurrentPos;

  /** Marks the beginning of the {@link #yytext()} string in the buffer. */
  private int zzStartRead;

  /** Marks the last character in the buffer, that has been read from input. */
  private int zzEndRead;

  /**
   * Whether the scanner is at the end of file.
   * @see #yyatEOF
   */
  private boolean zzAtEOF;

  /**
   * The number of occupied positions in {@link #zzBuffer} beyond {@link #zzEndRead}.
   *
   * <p>When a lead/high surrogate has been read from the input stream into the final
   * {@link #zzBuffer} position, this will have a value of 1; otherwise, it will have a value of 0.
   */
  private int zzFinalHighSurrogate = 0;

  /** Number of newlines encountered up to the start of the matched text. */
  private int yyline;

  /** Number of characters from the last newline up to the start of the matched text. */
  private int yycolumn;

  /** Number of characters up to the start of the matched text. */
  private long yychar;

  /** Whether the scanner is currently at the beginning of a line. */
  @SuppressWarnings("unused")
  private boolean zzAtBOL = true;

  /** Whether the user-EOF-code has already been executed. */
  @SuppressWarnings("unused")
  private boolean zzEOFDone;

  /* user code: */
	
	CheckFirstCommaL() { }

	private int numberSequence = 0;
	


  /**
   * Creates a new scanner
   *
   * @param   in  the java.io.Reader to read input from.
   */
  public CheckFirstCommaL(java.io.Reader in) {
    this.zzReader = in;
  }


  /** Returns the maximum size of the scanner buffer, which limits the size of tokens. */
  private int zzMaxBufferLen() {
    return Integer.MAX_VALUE;
  }

  /**  Whether the scanner buffer can grow to accommodate a larger token. */
  private boolean zzCanGrow() {
    return true;
  }

  /**
   * Translates raw input code points to DFA table row
   */
  private static int zzCMap(int input) {
    int offset = input & 255;
    return offset == input ? ZZ_CMAP_BLOCKS[offset] : ZZ_CMAP_BLOCKS[ZZ_CMAP_TOP[input >> 8] | offset];
  }

  /**
   * Refills the input buffer.
   *
   * @return {@code false} iff there was new input.
   * @exception java.io.IOException  if any I/O-Error occurs
   */
  private boolean zzRefill() throws java.io.IOException {

    /* first: make room (if you can) */
    if (zzStartRead > 0) {
      zzEndRead += zzFinalHighSurrogate;
      zzFinalHighSurrogate = 0;
      System.arraycopy(zzBuffer, zzStartRead,
                       zzBuffer, 0,
                       zzEndRead - zzStartRead);

      /* translate stored positions */
      zzEndRead -= zzStartRead;
      zzCurrentPos -= zzStartRead;
      zzMarkedPos -= zzStartRead;
      zzStartRead = 0;
    }

    /* is the buffer big enough? */
    if (zzCurrentPos >= zzBuffer.length - zzFinalHighSurrogate && zzCanGrow()) {
      /* if not, and it can grow: blow it up */
      char newBuffer[] = new char[Math.min(zzBuffer.length * 2, zzMaxBufferLen())];
      System.arraycopy(zzBuffer, 0, newBuffer, 0, zzBuffer.length);
      zzBuffer = newBuffer;
      zzEndRead += zzFinalHighSurrogate;
      zzFinalHighSurrogate = 0;
    }

    /* fill the buffer with new input */
    int requested = zzBuffer.length - zzEndRead;
    int numRead = zzReader.read(zzBuffer, zzEndRead, requested);

    /* not supposed to occur according to specification of java.io.Reader */
    if (numRead == 0) {
      if (requested == 0) {
        throw new java.io.EOFException("Scan buffer limit reached ["+zzBuffer.length+"]");
      }
      else {
        throw new java.io.IOException(
            "Reader returned 0 characters. See JFlex examples/zero-reader for a workaround.");
      }
    }
    if (numRead > 0) {
      zzEndRead += numRead;
      if (Character.isHighSurrogate(zzBuffer[zzEndRead - 1])) {
        if (numRead == requested) { // We requested too few chars to encode a full Unicode character
          --zzEndRead;
          zzFinalHighSurrogate = 1;
        } else {                    // There is room in the buffer for at least one more char
          int c = zzReader.read();  // Expecting to read a paired low surrogate char
          if (c == -1) {
            return true;
          } else {
            zzBuffer[zzEndRead++] = (char)c;
          }
        }
      }
      /* potentially more input available */
      return false;
    }

    /* numRead < 0 ==> end of stream */
    return true;
  }


  /**
   * Closes the input reader.
   *
   * @throws java.io.IOException if the reader could not be closed.
   */
  public final void yyclose() throws java.io.IOException {
    zzAtEOF = true; // indicate end of file
    zzEndRead = zzStartRead; // invalidate buffer

    if (zzReader != null) {
      zzReader.close();
    }
  }


  /**
   * Resets the scanner to read from a new input stream.
   *
   * <p>Does not close the old reader.
   *
   * <p>All internal variables are reset, the old input stream <b>cannot</b> be reused (internal
   * buffer is discarded and lost). Lexical state is set to {@code ZZ_INITIAL}.
   *
   * <p>Internal scan buffer is resized down to its initial length, if it has grown.
   *
   * @param reader The new input stream.
   */
  public final void yyreset(java.io.Reader reader) {
    zzReader = reader;
    zzEOFDone = false;
    yyResetPosition();
    zzLexicalState = YYINITIAL;
    int initBufferSize = Math.min(ZZ_BUFFERSIZE, zzMaxBufferLen());
    if (zzBuffer.length > initBufferSize) {
      zzBuffer = new char[initBufferSize];
    }
  }

  /**
   * Resets the input position.
   */
  private final void yyResetPosition() {
      zzAtBOL  = true;
      zzAtEOF  = false;
      zzCurrentPos = 0;
      zzMarkedPos = 0;
      zzStartRead = 0;
      zzEndRead = 0;
      zzFinalHighSurrogate = 0;
      yyline = 0;
      yycolumn = 0;
      yychar = 0L;
  }


  /**
   * Returns whether the scanner has reached the end of the reader it reads from.
   *
   * @return whether the scanner has reached EOF.
   */
  public final boolean yyatEOF() {
    return zzAtEOF;
  }


  /**
   * Returns the current lexical state.
   *
   * @return the current lexical state.
   */
  public final int yystate() {
    return zzLexicalState;
  }


  /**
   * Enters a new lexical state.
   *
   * @param newState the new lexical state
   */
  public final void yybegin(int newState) {
    zzLexicalState = newState;
  }


  /**
   * Returns the text matched by the current regular expression.
   *
   * @return the matched text.
   */
  public final String yytext() {
    return new String(zzBuffer, zzStartRead, zzMarkedPos-zzStartRead);
  }


  /**
   * Returns the character at the given position from the matched text.
   *
   * <p>It is equivalent to {@code yytext().charAt(pos)}, but faster.
   *
   * @param position the position of the character to fetch. A value from 0 to {@code yylength()-1}.
   *
   * @return the character at {@code position}.
   */
  public final char yycharat(int position) {
    return zzBuffer[zzStartRead + position];
  }


  /**
   * How many characters were matched.
   *
   * @return the length of the matched text region.
   */
  public final int yylength() {
    return zzMarkedPos-zzStartRead;
  }


  /**
   * Reports an error that occurred while scanning.
   *
   * <p>In a well-formed scanner (no or only correct usage of {@code yypushback(int)} and a
   * match-all fallback rule) this method will only be called with things that
   * "Can't Possibly Happen".
   *
   * <p>If this method is called, something is seriously wrong (e.g. a JFlex bug producing a faulty
   * scanner etc.).
   *
   * <p>Usual syntax/scanner level error handling should be done in error fallback rules.
   *
   * @param errorCode the code of the error message to display.
   */
  private static void zzScanError(int errorCode) {
    String message;
    try {
      message = ZZ_ERROR_MSG[errorCode];
    } catch (ArrayIndexOutOfBoundsException e) {
      message = ZZ_ERROR_MSG[ZZ_UNKNOWN_ERROR];
    }

    throw new Error(message);
  }


  /**
   * Pushes the specified amount of characters back into the input stream.
   *
   * <p>They will be read again by then next call of the scanning method.
   *
   * @param number the number of characters to be read again. This number must not be greater than
   *     {@link #yylength()}.
   */
  public void yypushback(int number)  {
    if ( number > yylength() )
      zzScanError(ZZ_PUSHBACK_2BIG);

    zzMarkedPos -= number;
  }




  /**
   * Resumes scanning until the next regular expression is matched, the end of input is encountered
   * or an I/O-Error occurs.
   *
   * @return the next token.
   * @exception java.io.IOException if any I/O-Error occurs.
   */
  public int yylex() throws java.io.IOException
  {
    int zzInput;
    int zzAction;

    // cached fields:
    int zzCurrentPosL;
    int zzMarkedPosL;
    int zzEndReadL = zzEndRead;
    char[] zzBufferL = zzBuffer;

    int [] zzTransL = ZZ_TRANS;
    int [] zzRowMapL = ZZ_ROWMAP;
    int [] zzAttrL = ZZ_ATTRIBUTE;

    while (true) {
      zzMarkedPosL = zzMarkedPos;

      yychar+= zzMarkedPosL-zzStartRead;

      boolean zzR = false;
      int zzCh;
      int zzCharCount;
      for (zzCurrentPosL = zzStartRead  ;
           zzCurrentPosL < zzMarkedPosL ;
           zzCurrentPosL += zzCharCount ) {
        zzCh = Character.codePointAt(zzBufferL, zzCurrentPosL, zzMarkedPosL);
        zzCharCount = Character.charCount(zzCh);
        switch (zzCh) {
        case '\u000B':  // fall through
        case '\u000C':  // fall through
        case '\u0085':  // fall through
        case '\u2028':  // fall through
        case '\u2029':
          yyline++;
          yycolumn = 0;
          zzR = false;
          break;
        case '\r':
          yyline++;
          yycolumn = 0;
          zzR = true;
          break;
        case '\n':
          if (zzR)
            zzR = false;
          else {
            yyline++;
            yycolumn = 0;
          }
          break;
        default:
          zzR = false;
          yycolumn += zzCharCount;
        }
      }

      if (zzR) {
        // peek one character ahead if it is
        // (if we have counted one line too much)
        boolean zzPeek;
        if (zzMarkedPosL < zzEndReadL)
          zzPeek = zzBufferL[zzMarkedPosL] == '\n';
        else if (zzAtEOF)
          zzPeek = false;
        else {
          boolean eof = zzRefill();
          zzEndReadL = zzEndRead;
          zzMarkedPosL = zzMarkedPos;
          zzBufferL = zzBuffer;
          if (eof)
            zzPeek = false;
          else
            zzPeek = zzBufferL[zzMarkedPosL] == '\n';
        }
        if (zzPeek) yyline--;
      }
      zzAction = -1;

      zzCurrentPosL = zzCurrentPos = zzStartRead = zzMarkedPosL;

      zzState = ZZ_LEXSTATE[zzLexicalState];

      // set up zzAction for empty match case:
      int zzAttributes = zzAttrL[zzState];
      if ( (zzAttributes & 1) == 1 ) {
        zzAction = zzState;
      }


      zzForAction: {
        while (true) {

          if (zzCurrentPosL < zzEndReadL) {
            zzInput = Character.codePointAt(zzBufferL, zzCurrentPosL, zzEndReadL);
            zzCurrentPosL += Character.charCount(zzInput);
          }
          else if (zzAtEOF) {
            zzInput = YYEOF;
            break zzForAction;
          }
          else {
            // store back cached positions
            zzCurrentPos  = zzCurrentPosL;
            zzMarkedPos   = zzMarkedPosL;
            boolean eof = zzRefill();
            // get translated positions and possibly new buffer
            zzCurrentPosL  = zzCurrentPos;
            zzMarkedPosL   = zzMarkedPos;
            zzBufferL      = zzBuffer;
            zzEndReadL     = zzEndRead;
            if (eof) {
              zzInput = YYEOF;
              break zzForAction;
            }
            else {
              zzInput = Character.codePointAt(zzBufferL, zzCurrentPosL, zzEndReadL);
              zzCurrentPosL += Character.charCount(zzInput);
            }
          }
          int zzNext = zzTransL[ zzRowMapL[zzState] + zzCMap(zzInput) ];
          if (zzNext == -1) break zzForAction;
          zzState = zzNext;

          zzAttributes = zzAttrL[zzState];
          if ( (zzAttributes & 1) == 1 ) {
            zzAction = zzState;
            zzMarkedPosL = zzCurrentPosL;
            if ( (zzAttributes & 8) == 8 ) break zzForAction;
          }

        }
      }

      // store back cached position
      zzMarkedPos = zzMarkedPosL;

      if (zzInput == YYEOF && zzStartRead == zzCurrentPos) {
        zzAtEOF = true;
        return YYEOF;
      }
      else {
        switch (zzAction < 0 ? zzAction : ZZ_ACTION[zzAction]) {
          case 1:
            { 
            }
          // fall through
          case 4: break;
          case 2:
            { return YYEOF;
            }
          // fall through
          case 5: break;
          case 3:
            { getMarkerDocument().addWarning("idref:" + getMarkerDocument().getContext().getContainerId() + " Possibile errore tipografico: primo comma con carattere \"L\"");
	
	return YYEOF;
            }
          // fall through
          case 6: break;
          default:
            zzScanError(ZZ_NO_MATCH);
        }
      }
    }
  }

  /**
   * Runs the scanner on input files.
   *
   * This is a standalone scanner, it will print any unmatched
   * text to System.out unchanged.
   *
   * @param argv   the command line, contains the filenames to run
   *               the scanner on.
   */
  public static void main(String[] argv) {
    if (argv.length == 0) {
      System.out.println("Usage : java CheckFirstCommaL [ --encoding <name> ] <inputfile(s)>");
    }
    else {
      int firstFilePos = 0;
      String encodingName = "UTF-8";
      if (argv[0].equals("--encoding")) {
        firstFilePos = 2;
        encodingName = argv[1];
        try {
          // Side-effect: is encodingName valid?
          java.nio.charset.Charset.forName(encodingName);
        } catch (Exception e) {
          System.out.println("Invalid encoding '" + encodingName + "'");
          return;
        }
      }
      for (int i = firstFilePos; i < argv.length; i++) {
        CheckFirstCommaL scanner = null;
        java.io.FileInputStream stream = null;
        java.io.Reader reader = null;
        try {
          stream = new java.io.FileInputStream(argv[i]);
          reader = new java.io.InputStreamReader(stream, encodingName);
          scanner = new CheckFirstCommaL(reader);
          while ( !scanner.zzAtEOF ) scanner.yylex();
        }
        catch (java.io.FileNotFoundException e) {
          System.out.println("File not found : \""+argv[i]+"\"");
        }
        catch (java.io.IOException e) {
          System.out.println("IO error scanning file \""+argv[i]+"\"");
          System.out.println(e);
        }
        catch (Exception e) {
          System.out.println("Unexpected exception:");
          e.printStackTrace();
        }
        finally {
          if (reader != null) {
            try {
              reader.close();
            }
            catch (java.io.IOException e) {
              System.out.println("IO error closing file \""+argv[i]+"\"");
              System.out.println(e);
            }
          }
          if (stream != null) {
            try {
              stream.close();
            }
            catch (java.io.IOException e) {
              System.out.println("IO error closing file \""+argv[i]+"\"");
              System.out.println(e);
            }
          }
        }
      }
    }
  }


}
